# Download quote PDF

Download the PDF for a finalized quote. Explanation for special handling can be found [here](https://docs.stripe.com/quotes/overview.md#quote_pdf)

## Prerequisites

Before you can run the following code snippet, you need to call these APIs with the provided parameters to set up the prerequisite API object(s).

1. createCustomer
POST /v1/customers {"name":"Jenny Rosen","email":"jennyrosen@example.com"}
2. createPrice
POST /v1/prices {"currency":"usd","unit_amount":1000,"recurring":{"interval":"month"},"product_data":{"name":"Gold Plan"}}
3. createQuote
POST /v1/quotes {"customer":"${node.prerequisites.createCustomer.createCustomer:id}","line_items":[{"price":"${node.prerequisites.createPrice.createPrice:id}","quantity":2}]}

## Request

```curl
curl https://files.stripe.com/v1/quotes/{{QUOTE_ID}}/pdf \
  -u "<<YOUR_SECRET_KEY>>"
```

### Response

```json
{}
```

## Returns

The PDF file for the quote.
